## ndpi 1.4.0%2Bsvn6932

=== example/Makefile ===
INC=-I../src/include/
LIB=../src/lib/.libs/libndpi.a -lpcap
FLAGS=-g #-fno-color-diagnostics
pcapReader: pcapReader.c Makefile ../src/lib/.libs/libndpi.a
	gcc $(FLAGS) $(INC) pcapReader.c -o pcapReader $(LIB) -lpthread

clean:
	\/bin/rm -f pcapReader

## ndpi 1.4.0+svn6932

=== debian/changelog ===
ndpi (1.4.0+svn6932-1) unstable; urgency=low

  * New upstream release (synced with ntopng 1.1).
  * Update symbols file.
  * Remove unused substitution variable in control file.

 -- Ludovico Cavedon <cavedon@debian.org>  Mon, 11 Nov 2013 23:20:11 -0800

ndpi (1.4.0+svn6712-1) unstable; urgency=low

  * Initial release. Thanks to Raphaël Hertzog. (Closes: #721551)

 -- Ludovico Cavedon <cavedon@debian.org>  Sun, 01 Sep 2013 23:06:24 +0200

=== debian/control ===
Source: ndpi
Section: libs
Priority: optional
Maintainer: Ludovico Cavedon <cavedon@debian.org>
Build-Depends: debhelper (>= 9), autotools-dev, dh-autoreconf
Standards-Version: 3.9.4
Homepage: http://www.ntop.org/products/ndpi/
Vcs-Git: git://anonscm.debian.org/collab-maint/ndpi.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/ndpi.git

Package: libndpi-dev
Section: libdevel
Architecture: any
Depends: libndpi1 (= ${binary:Version}), ${misc:Depends}
Description: extensible deep packet inspection library - development files
 nDPI is a ntop-maintained superset of the popular OpenDPI library. Released
 under the LGPL license, its goal is to extend the original library by adding
 new protocols that are otherwise available only on the paid version of
 OpenDPI.
 .
 nDPI has also been modified to be suitable for traffic monitoring
 applications, by disabling specific features that slow down the DPI engine
 while being them un-necessary for network traffic monitoring.
 .
 With nDPI, it is possible to both detect known protocols on non-standard ports
 (e.g. detect http non ports other than 80), and also the opposite.
 .
 This package contains the static library and compilation headers.

Package: libndpi1
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: extensible deep packet inspection library - shared library
 nDPI is a ntop-maintained superset of the popular OpenDPI library. Released
 under the LGPL license, its goal is to extend the original library by adding
 new protocols that are otherwise available only on the paid version of
 OpenDPI.
 .
 nDPI has also been modified to be suitable for traffic monitoring
 applications, by disabling specific features that slow down the DPI engine
 while being them un-necessary for network traffic monitoring.
 .
 With nDPI, it is possible to both detect known protocols on non-standard ports
 (e.g. detect http non ports other than 80), and also the opposite.
 .
 This package contains the shared library.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with autoreconf

# Adapted from http://wiki.debian.org/SandroTosi/Svn_get-orig-source
PACKAGE = ndpi
SRC_VERSION := $(shell dpkg-parsechangelog | sed -ne 's/^Version: \(\([0-9]\+\):\)\?\(.*\)-.*/\3/p')
SVN_REVISION := $(shell echo $(SRC_VERSION) | cut -d + -f 2 | sed 's/svn//' )
TARBALL = $(PACKAGE)_$(SRC_VERSION).orig.tar.gz
UPSTREAM_SVN_REPO = https://svn.ntop.org/svn/ntop/trunk/nDPI/

get-orig-source:
	rm -rf get-orig-source ../$(TARBALL)
	mkdir get-orig-source
	svn export -r $(SVN_REVISION) $(UPSTREAM_SVN_REPO) get-orig-source/$(PACKAGE)-$(SRC_VERSION)
	GZIP='--best --no-name' tar czf ../$(TARBALL) -C get-orig-source $(PACKAGE)-$(SRC_VERSION)
	rm -rf get-orig-source

.PHONY: get-orig-source

=== debian/watch ===
# Nothing to watch, there's no tarball release, only SVN without tags

## ndpi 1.5.0

=== debian/changelog ===
ndpi (1.5.0-1) unstable; urgency=medium

  * Imported Upstream version 1.5.0
  * Update copyright.
  * Add README.Debian to point to upstream documentation.
  * Update library symbols.
  * Update Standards-Version to 3.9.5.
  * Add ndpiReader.c example.
  * Build ndpiReader into separate package libndpi-bin
  * Update watch file for new stable release.
  * Update debian/rules get-orig-source to support invoking uscan.
  * Rename library package to libndpi1a.
  * Remove all previous patches.
  * Add example-link-dynamic.patch for dynamically linking examples against
    libndpi.
  * Add json-c-use-system.patch for using system libjson-c.
  * Add pcap-linking.patch to avoid linking libndpi against libpcap.
  * Include ndpiReader in libndpi-bin package.
  * Add man page for ndpiReader.
  * Add export-additional-symbols.patch to export ndpi_set_proto_defaults
    symbol.
  * Add Build-Depends on libpcap-dev and pkg-config.
  * Add libndpi-dbg package with debug symbols.

 -- Ludovico Cavedon <cavedon@debian.org>  Thu, 14 Aug 2014 00:12:37 -0700

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,9 @@
 Section: libs
 Priority: optional
 Maintainer: Ludovico Cavedon <cavedon@debian.org>
-Build-Depends: debhelper (>= 9), autotools-dev, dh-autoreconf
-Standards-Version: 3.9.4
+Build-Depends: debhelper (>= 9), autotools-dev, dh-autoreconf, libjson-c-dev,
+ libpcap-dev, pkg-config
+Standards-Version: 3.9.5
 Homepage: http://www.ntop.org/products/ndpi/
 Vcs-Git: git://anonscm.debian.org/collab-maint/ndpi.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/ndpi.git
@@ -11,7 +12,7 @@
 Package: libndpi-dev
 Section: libdevel
 Architecture: any
-Depends: libndpi1 (= ${binary:Version}), ${misc:Depends}
+Depends: libndpi1a (= ${binary:Version}), ${misc:Depends}
 Description: extensible deep packet inspection library - development files
  nDPI is a ntop-maintained superset of the popular OpenDPI library. Released
  under the LGPL license, its goal is to extend the original library by adding
@@ -27,10 +28,12 @@
  .
  This package contains the static library and compilation headers.
 
-Package: libndpi1
+Package: libndpi1a
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Breaks: libndpi1
+Replaces: libndpi1
 Description: extensible deep packet inspection library - shared library
  nDPI is a ntop-maintained superset of the popular OpenDPI library. Released
  under the LGPL license, its goal is to extend the original library by adding
@@ -45,3 +48,45 @@
  (e.g. detect http non ports other than 80), and also the opposite.
  .
  This package contains the shared library.
+
+Package: libndpi-dbg
+Architecture: any
+Section: debug
+Priority: extra
+Pre-Depends: ${misc:Pre-Depends}
+Depends: libndpi1a (= ${binary:Version}),
+         libndpi-bin (= ${binary:Version}),
+         ${misc:Depends}
+Description: extensible deep packet inspection library - debug symbols
+ nDPI is a ntop-maintained superset of the popular OpenDPI library. Released
+ under the LGPL license, its goal is to extend the original library by adding
+ new protocols that are otherwise available only on the paid version of
+ OpenDPI.
+ .
+ nDPI has also been modified to be suitable for traffic monitoring
+ applications, by disabling specific features that slow down the DPI engine
+ while being them un-necessary for network traffic monitoring.
+ .
+ With nDPI, it is possible to both detect known protocols on non-standard ports
+ (e.g. detect http non ports other than 80), and also the opposite.
+ .
+ This package contains the debug symbols for the shared library.
+
+Package: libndpi-bin
+Architecture: any
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: extensible deep packet inspection library - ndpiReader
+ nDPI is a ntop-maintained superset of the popular OpenDPI library. Released
+ under the LGPL license, its goal is to extend the original library by adding
+ new protocols that are otherwise available only on the paid version of
+ OpenDPI.
+ .
+ nDPI has also been modified to be suitable for traffic monitoring
+ applications, by disabling specific features that slow down the DPI engine
+ while being them un-necessary for network traffic monitoring.
+ .
+ With nDPI, it is possible to both detect known protocols on non-standard ports
+ (e.g. detect http non ports other than 80), and also the opposite.
+ .
+ This package contains the ndpiReader binary.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- --with-system-json-c --enable-examples-dynamic-linking

override_dh_strip:
	dh_strip --dbg-package=libndpi-dbg


# Adapted from http://wiki.debian.org/SandroTosi/Svn_get-orig-source
DEB_UPSTREAM_VERSION=$(shell dpkg-parsechangelog \
		     | sed -rne 's/^Version: ([^-]+).*/\1/p')
PACKAGE = ndpi
SRC_VERSION := $(shell dpkg-parsechangelog | sed -ne 's/^Version: \(\([0-9]\+\):\)\?\(.*\)-.*/\3/p')
SVN_REVISION := $(shell echo $(SRC_VERSION) | cut -d + -f 2 | sed 's/svn//' )
UPSTREAM_VERSION := $(shell echo $(SRC_VERSION) | cut -d + -f 1)
TARBALL = $(PACKAGE)_$(SRC_VERSION).orig.tar.gz
UPSTREAM_SVN_REPO = https://svn.ntop.org/svn/ntop/trunk/nDPI/

get-orig-source:
	@echo DEB_UPSTREAM_VERSION $(DEB_UPSTREAM_VERSION)
	@echo SRC_VERSION $(SRC_VERSION)
	@echo SVN_REVISION $(SVN_REVISION)
	@echo UPSTREAM_VERSION $(UPSTREAM_VERSION)
ifeq ($(findstring svn,$(SRC_VERSION)),)
	# Download and use upstream vanilla tarball
	uscan --verbose --force-download --download-version $(UPSTREAM_VERSION)
else
	rm -rf get-orig-source ../$(TARBALL)
	mkdir get-orig-source
	svn export -r $(SVN_REVISION) $(UPSTREAM_SVN_REPO) get-orig-source/$(PACKAGE)-$(SRC_VERSION)
	# Remove binaries without source.
	rm -fr get-orig-source/$(PACKAGE)-$(SRC_VERSION)/docs/nDPI_QuickStartGuide.p*
	rm -fr get-orig-source/$(PACKAGE)-$(SRC_VERSION)/example/third-party/json-c
	GZIP='--best --no-name' tar czf ../$(TARBALL) -C get-orig-source $(PACKAGE)-$(SRC_VERSION)
	rm -rf get-orig-source
endif

.PHONY: override_dh_auto_configure override_dh_strip get-orig-source

=== debian/watch ===
version=3
opts="uversionmangle=s/_r?[0-9]*//,dversionmangle=s/\+(dfsg|repack)\d*$//" \
      http://sf.net/ntop/libndpi-([0-9].*)\.(?:tar\.gz|tgz)

## ndpi 1.7.1~git20151130.6f3d5a7

=== packages/ubuntu/Makefile ===
#
# Change it according to your setup
#
NDPI_HOME=$(PWD)/../..
NDPI_BUILD=${NDPI_HOME}/packages/ubuntu

all: clean ndpi

ndpi:
	\rm -rf ./usr ./debian/tmp ./debian/ndpi-dev
	mkdir -p ./usr/local ./debian/ndpi-dev
	mkdir -p  ./usr/local/ndpi/lib ./usr/local/ndpi/bin ./ndpi-dev/usr/local/include/ndpi/
	cd ${NDPI_HOME}; ./autogen.sh; ./configure; make
	cp  $(NDPI_HOME)/lib/libndpi.a $(NDPI_HOME)/lib/libndpi.so*  ./usr/local/ndpi/lib/
	cp  $(NDPI_HOME)/example/ndpiReader   ./usr/local/ndpi/bin/
	cp  $(NDPI_HOME)/src/include/*.h  ndpi-dev/usr/local/include/ndpi/
	-rm -fr ndpi-dev/usr/local/include/nprobe/ndpi/.svn ndpi-dev/usr/local/include/ndpi/Makefile* ndpi-dev/usr/local/include/ndpi/ndpi_win32.h* ndpi-dev/usr/local/include/ndpi/include
	-find ./usr/local/lib -name "*.la" -exec /bin/rm {} ';'
	@echo
	@find . -name "*~" -exec /bin/rm {} ';'
	dpkg-buildpackage -rfakeroot -d -us -uc
	dpkg-sig --sign builder -k 7921DF34 ../ndpi*deb
	@\rm -f ../ndpi*dsc ../ndpi*.gz ../ndpi*changes
	@/bin/mv ../ndpi*deb .
	@echo
	@echo "Package built."
	@/bin/ls ndpi*deb
	@echo "-------------------------------"
	-dpkg --contents ndpi*amd64.deb
	@echo "-------------------------------"
	@echo "-------------------------------"
	-dpkg --contents ndpi*all.deb
	@echo "-------------------------------"

distclean:
	echo "dummy distclean"

install:
	echo "dummy install"

clean:
	-rm -rf *~ *deb debian/tmp ./usr

=== debian/changelog ===
ndpi (1.7.1~git20151130.6f3d5a7-1) unstable; urgency=medium

  * Imported Upstream version 1.7.1~git20151130.6f3d5a7
  * Support fetching a specific version from upstream git.
  * Refresh patches.
  * Update copyright.
  * Update symbols list.
  * Add add-missing-headers.patch to include ndpi_includes.h.

 -- Ludovico Cavedon <cavedon@debian.org>  Fri, 25 Dec 2015 21:00:52 +0100

ndpi (1.6-1) unstable; urgency=low

  * Imported Upstream version 1.6
  * Update copyright with the removal of embedded json-c.
  * Remove pcap-linking.patch and export-additional-symbols.patch (merged
    upstream).
  * Update json-c-use-system.patch and example-link-dynamic.patch for new
    upstream code.
  * Update debian/watch file for new upstrm tarball name.
  * Update docs and copyright.
  * Bump SONAME to 2 and update symbol file.

 -- Ludovico Cavedon <cavedon@debian.org>  Tue, 09 Sep 2014 16:55:57 -0700

=== debian/control ===
--- 
+++ 
@@ -4,15 +4,15 @@
 Maintainer: Ludovico Cavedon <cavedon@debian.org>
 Build-Depends: debhelper (>= 9), autotools-dev, dh-autoreconf, libjson-c-dev,
  libpcap-dev, pkg-config
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://www.ntop.org/products/ndpi/
-Vcs-Git: git://anonscm.debian.org/collab-maint/ndpi.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/ndpi.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/ndpi.git
+Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/ndpi.git
 
 Package: libndpi-dev
 Section: libdevel
 Architecture: any
-Depends: libndpi1a (= ${binary:Version}), ${misc:Depends}
+Depends: libndpi3 (= ${binary:Version}), ${misc:Depends}
 Description: extensible deep packet inspection library - development files
  nDPI is a ntop-maintained superset of the popular OpenDPI library. Released
  under the LGPL license, its goal is to extend the original library by adding
@@ -28,12 +28,10 @@
  .
  This package contains the static library and compilation headers.
 
-Package: libndpi1a
+Package: libndpi3
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Breaks: libndpi1
-Replaces: libndpi1
 Description: extensible deep packet inspection library - shared library
  nDPI is a ntop-maintained superset of the popular OpenDPI library. Released
  under the LGPL license, its goal is to extend the original library by adding
@@ -54,7 +52,7 @@
 Section: debug
 Priority: extra
 Pre-Depends: ${misc:Pre-Depends}
-Depends: libndpi1a (= ${binary:Version}),
+Depends: libndpi3 (= ${binary:Version}),
          libndpi-bin (= ${binary:Version}),
          ${misc:Depends}
 Description: extensible deep packet inspection library - debug symbols

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- --with-system-json-c --enable-examples-dynamic-linking

override_dh_strip:
	dh_strip --dbg-package=libndpi-dbg


# Adapted from http://wiki.debian.org/SandroTosi/Svn_get-orig-source
DEB_UPSTREAM_VERSION=$(shell dpkg-parsechangelog \
		     | sed -rne 's/^Version: ([^-]+).*/\1/p')
PACKAGE = ndpi
SRC_VERSION := $(shell dpkg-parsechangelog | sed -ne 's/^Version: \(\([0-9]\+\):\)\?\(.*\)-.*/\3/p')
GIT_COMMIT := $(shell echo $(SRC_VERSION) | grep -E -o '[~+]git[0-9]+\..*' | cut -d . -f 2 )
TARBALL = $(PACKAGE)_$(SRC_VERSION).orig.tar.gz
UPSTREAM_GIT_REPO = https://github.com/ntop/nDPI

get-orig-source:
	@echo DEB_UPSTREAM_VERSION $(DEB_UPSTREAM_VERSION)
	@echo SRC_VERSION $(SRC_VERSION)
	@echo GIT_COMMIT $(GIT_COMMIT)
ifeq ($(findstring git,$(SRC_VERSION)),)
	# Download and use upstream vanilla tarball
	uscan --verbose --force-download --download-version $(SRC_VERSION)
else
	wget $(UPSTREAM_GIT_REPO)/archive/$(GIT_COMMIT).tar.gz -O ../$(TARBALL)
endif

.PHONY: override_dh_auto_configure override_dh_strip get-orig-source

=== debian/watch ===
version=3
opts="uversionmangle=s/_r?[0-9]*//,dversionmangle=s/\+(dfsg|repack)\d*$//" \
      http://sf.net/ntop/(?:libndpi|nDPI)-([0-9].*)\.(?:tar\.gz|tgz)

## ndpi 1.8

=== debian/changelog ===
ndpi (1.8-1) unstable; urgency=medium

  * Imported Upstream version 1.8
  * Update copyright.
  * Refresh and update pacthes.
  * Remove export-additional-symbols.patch (merged upstream).
  * Update Standards-Version to 3.9.8.
  * Update symbols file for libndpi3.
  * Bump SONAME to libndpi4.
  * Enable all build hardening.
  * Migrate to libndpi-dbgsym.

 -- Ludovico Cavedon <cavedon@debian.org>  Sat, 10 Dec 2016 20:08:44 -0800

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,15 @@
 Section: libs
 Priority: optional
 Maintainer: Ludovico Cavedon <cavedon@debian.org>
-Build-Depends: debhelper (>= 9), autotools-dev, dh-autoreconf, libjson-c-dev,
- libpcap-dev, pkg-config
-Standards-Version: 3.9.6
+Build-Depends:
+    autotools-dev,
+    debhelper (>= 9.20160114),
+    dpkg-dev (>= 1.16.1.1),
+    dh-autoreconf,
+    libjson-c-dev,
+    libpcap-dev,
+    pkg-config,
+Standards-Version: 3.9.8
 Homepage: http://www.ntop.org/products/ndpi/
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/ndpi.git
 Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/ndpi.git
@@ -12,7 +18,7 @@
 Package: libndpi-dev
 Section: libdevel
 Architecture: any
-Depends: libndpi3 (= ${binary:Version}), ${misc:Depends}
+Depends: libndpi4 (= ${binary:Version}), ${misc:Depends}
 Description: extensible deep packet inspection library - development files
  nDPI is a ntop-maintained superset of the popular OpenDPI library. Released
  under the LGPL license, its goal is to extend the original library by adding
@@ -28,7 +34,7 @@
  .
  This package contains the static library and compilation headers.
 
-Package: libndpi3
+Package: libndpi4
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -46,29 +52,6 @@
  (e.g. detect http non ports other than 80), and also the opposite.
  .
  This package contains the shared library.
-
-Package: libndpi-dbg
-Architecture: any
-Section: debug
-Priority: extra
-Pre-Depends: ${misc:Pre-Depends}
-Depends: libndpi3 (= ${binary:Version}),
-         libndpi-bin (= ${binary:Version}),
-         ${misc:Depends}
-Description: extensible deep packet inspection library - debug symbols
- nDPI is a ntop-maintained superset of the popular OpenDPI library. Released
- under the LGPL license, its goal is to extend the original library by adding
- new protocols that are otherwise available only on the paid version of
- OpenDPI.
- .
- nDPI has also been modified to be suitable for traffic monitoring
- applications, by disabling specific features that slow down the DPI engine
- while being them un-necessary for network traffic monitoring.
- .
- With nDPI, it is possible to both detect known protocols on non-standard ports
- (e.g. detect http non ports other than 80), and also the opposite.
- .
- This package contains the debug symbols for the shared library.
 
 Package: libndpi-bin
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,8 @@
 #!/usr/bin/make -f
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/buildflags.mk
 
 %:
 	dh $@ --with autoreconf
@@ -7,7 +11,7 @@
 	dh_auto_configure -- --with-system-json-c --enable-examples-dynamic-linking
 
 override_dh_strip:
-	dh_strip --dbg-package=libndpi-dbg
+	dh_strip --dbgsym-migration='libndpi-dbg (<< 1.8-1~)'
 
 
 # Adapted from http://wiki.debian.org/SandroTosi/Svn_get-orig-source

## ndpi 2.2

=== debian/changelog ===
ndpi (2.2-1) unstable; urgency=medium

  * Imported Upstream version 2.2 (Closes: #878128, #878124).
  * Update watch file to fetch new versions from github.
  * Update copyright file.
  * Add Multi-Arch flags in control file.
  * Add libndpi-wireshark with wireshark dissector.
  * Bump Standards-Version to 4.1.2.
  * Update and refresh patches.
  * Stop using dh-autoreconf (automatically called by autogen.sh).
  * Add no-configure-after-autogen.patch to prevent autogen.sh from
    automatically invoking configure.
  * Update export-additional-symbols.patch, adding new required exported
    symbols in libndpi.sym.
  * Bump libndpi SONAME to 5.
  * Use pkg-info.mk for parsing changelog.
  * Patch nintendo.pcap and skype-conference-call.pcap to make sure libpcap is
    able to open them during tests, based on
    https://github.com/ntop/nDPI/issues/462#issuecomment-332552609.
  * Embded libcache.h into libndpi includes, as it is included by
    ndpi_typedefs.h.

 -- Ludovico Cavedon <cavedon@debian.org>  Tue, 26 Dec 2017 02:10:48 +0100

=== debian/control ===
--- 
+++ 
@@ -5,12 +5,13 @@
 Build-Depends:
     autotools-dev,
     debhelper (>= 9.20160114),
+    dh-exec (>=0.3),
     dpkg-dev (>= 1.16.1.1),
-    dh-autoreconf,
     libjson-c-dev,
     libpcap-dev,
     pkg-config,
-Standards-Version: 3.9.8
+    xdelta,
+Standards-Version: 4.1.2
 Homepage: http://www.ntop.org/products/ndpi/
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/ndpi.git
 Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/ndpi.git
@@ -18,7 +19,7 @@
 Package: libndpi-dev
 Section: libdevel
 Architecture: any
-Depends: libndpi4 (= ${binary:Version}), ${misc:Depends}
+Depends: libndpi5 (= ${binary:Version}), ${misc:Depends}
 Description: extensible deep packet inspection library - development files
  nDPI is a ntop-maintained superset of the popular OpenDPI library. Released
  under the LGPL license, its goal is to extend the original library by adding
@@ -34,10 +35,11 @@
  .
  This package contains the static library and compilation headers.
 
-Package: libndpi4
+Package: libndpi5
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Multi-Arch: same
 Description: extensible deep packet inspection library - shared library
  nDPI is a ntop-maintained superset of the popular OpenDPI library. Released
  under the LGPL license, its goal is to extend the original library by adding
@@ -57,6 +59,7 @@
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Multi-Arch: foreign
 Description: extensible deep packet inspection library - ndpiReader
  nDPI is a ntop-maintained superset of the popular OpenDPI library. Released
  under the LGPL license, its goal is to extend the original library by adding
@@ -71,3 +74,24 @@
  (e.g. detect http non ports other than 80), and also the opposite.
  .
  This package contains the ndpiReader binary.
+
+Package: libndpi-wireshark
+Architecture: any
+Pre-Depends: ${misc:Pre-Depends}
+Depends: libndpi-bin (>= ${binary:Version}), ${misc:Depends}
+Multi-Arch: same
+Description: extensible deep packet inspection library - wireshark dissector
+ nDPI is a ntop-maintained superset of the popular OpenDPI library. Released
+ under the LGPL license, its goal is to extend the original library by adding
+ new protocols that are otherwise available only on the paid version of
+ OpenDPI.
+ .
+ nDPI has also been modified to be suitable for traffic monitoring
+ applications, by disabling specific features that slow down the DPI engine
+ while being them un-necessary for network traffic monitoring.
+ .
+ With nDPI, it is possible to both detect known protocols on non-standard ports
+ (e.g. detect http non ports other than 80), and also the opposite.
+ .
+ This package contains the wireshark dissector based on nDPI.  The dissector is
+ installed in the plugin directory for wireshark version 2.4.3.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
include /usr/share/dpkg/pkg-info.mk

# Used by debian/libndpi-wireshark.install
export WIRESHARK_VERSION = 2.4.3

%:
	dh $@

override_dh_auto_configure:
	cp $(CURDIR)/src/lib/third_party/include/libcache.h $(CURDIR)/src/include/
	./autogen.sh
	dh_auto_configure -- --with-system-json-c --enable-examples-dynamic-linking

override_dh_auto_test:
	for f in nintendo.pcap skype-conference-call.pcap; do \
	    if ! [ -f $(CURDIR)/tests/pcap/$$f.orig ]; then \
		cp $(CURDIR)/tests/pcap/$$f $(CURDIR)/tests/pcap/$$f.orig; \
		xdelta patch $(CURDIR)/debian/patches/$$f.xdelta $(CURDIR)/tests/pcap/$$f.orig $(CURDIR)/tests/pcap/$$f; \
	    fi; \
	done
	dh_auto_test

override_dh_strip:
	dh_strip --dbgsym-migration='libndpi-dbg (<< 1.8-1~)'


PACKAGE = ndpi
GIT_COMMIT := $(shell echo $(DEB_VERSION_UPSTREAM) | grep -E -o '[~+]git[0-9]+\..*' | cut -d . -f 2 )
TARBALL = $(PACKAGE)_$(DEB_VERSION_UPSTREAM).orig.tar.gz
UPSTREAM_GIT_REPO = https://github.com/ntop/nDPI

get-orig-source:
	@echo DEB_VERSION_UPSTREAM $(DEB_VERSION_UPSTREAM)
	@echo GIT_COMMIT $(GIT_COMMIT)
ifeq ($(findstring git,$(DEB_VERSION_UPSTREAM)),)
	# Download and use upstream vanilla tarball
	uscan --verbose --force-download --download-version $(DEB_VERSION_UPSTREAM)
else
	wget $(UPSTREAM_GIT_REPO)/archive/$(GIT_COMMIT).tar.gz -O ../$(TARBALL)
endif

.PHONY: override_dh_auto_configure override_dh_strip get-orig-source

## ndpi 2.6

=== packages/openwrt/Makefile ===
#
# Copyright (C) 2018 - ntop.org
#

include $(TOPDIR)/rules.mk

PKG_NAME:=libndpi
PKG_VERSION:=1333.ab2f3ce
PKG_RELEASE:=1

PKG_SOURCE:=$(PKG_NAME)-$(PKG_VERSION).tar.gz
PKG_SOURCE_URL:=https://github.com/ntop/nDPI.git
PKG_SOURCE_VERSION:=ab2f3cefc89017d73e67faa4eb4011e7e3f2044d
PKG_SOURCE_SUBDIR:=$(PKG_NAME)-$(PKG_VERSION)
PKG_SOURCE_PROTO:=git

PKG_MAINTAINER:=Emanuele Faranda <faranda@ntop.org>
PKG_LICENSE:=GPL3
PKG_BUILD_DEPENDS:=+libpcap
PKG_BUILD_PARALLEL:=1

# autogen fix
PKG_FIXUP:=autoreconf

include $(INCLUDE_DIR)/package.mk

define Package/libndpi
  SECTION:=network
  CATEGORY:=Network
  #DEPENDS:=+libc +libjson-c +libpthread 
  TITLE:=nDPI Deep Packet Inspection Library
  URL:=https://www.ntop.org
endef

define Package/libndpi/description
 Open and Extensible GPLv3 Deep Packet Inspection Library
endef

CONFIGURE_ARGS += \
        --with-pic \
	--disable-json-c \

define Build/Prepare
	$(call Build/Prepare/Default)
endef

define Build/Configure
	( cd $(PKG_BUILD_DIR); ./autogen.sh )
	$(call Build/Configure/Default)
endef

define Build/InstallDev
	$(INSTALL_DIR) $(STAGING_DIR)/usr/local/include/libndpi
	$(CP) $(PKG_BUILD_DIR)/src/include/* $(STAGING_DIR)/usr/local/include/libndpi
	$(INSTALL_DIR) $(STAGING_DIR)/usr/local/lib
	$(CP) $(PKG_BUILD_DIR)/src/lib/libndpi.* $(STAGING_DIR)/usr/local/lib
endef

$(eval $(call BuildPackage,libndpi))

=== debian/changelog ===
ndpi (2.6-5) unstable; urgency=medium

  * Team upload (salsa.d.o namespace)
  * Add CPPFLAGS to make blhc happy
  * Also add LDFLAGS
  * Bump compat level to 12
  * Bump std-version to 4.4.0
  * Make copyright URI in https mode

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 13 Sep 2019 23:04:00 +0200

ndpi (2.6-4) unstable; urgency=medium

  * Team upload (salsa.d.o namespace)
  * debian/patches/662.patch:
    - make the build reproducible (Closes: #929609)
  * debian/patches/aea91781aa476589361e16ece6aa6c10102e0f33.patch:
    - fix armhf failure with upstream patch (Closes: #917238)
  * debian/patches/cross.patch:
    - Patch from Helmut Grohne <helmut@subdivi.de> to fix FTCBFS on
      cross-builds (Closes: #939286)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 11 Sep 2019 18:37:11 +0200

ndpi (2.6-3) unstable; urgency=medium

  * Add packet-direction.patch and quic.patch to fix big-endian-related bugs.
  * Disable tests that have inconsistent behavior across architecture due to
    broken sorting in the test code.

 -- Ludovico Cavedon <cavedon@debian.org>  Wed, 16 Jan 2019 01:48:34 -0800

ndpi (2.6-2) unstable; urgency=medium

  * Remove no longer needed build-dep on xdelta.
  * Fix reference-after-free in ndpiReader and optimistically re-enable all
    tests succeeding on amd64 and i386.

 -- Ludovico Cavedon <cavedon@debian.org>  Tue, 15 Jan 2019 01:04:36 -0800

ndpi (2.6-1) unstable; urgency=medium

  [ Bernd Zeimetz ]
  * [e941738] Update upstream source from tag 'upstream/2.6'
    Update to upstream version '2.6'
    with Debian dir ebb088f5b1a1a88743e71021b4a9c252b397527e
    This will also hopefully fix all test issues.
    Closes: #886133
  * [a7ca26d] Removing patches as they don't apply anymore.
  * [52af6ea] Disable binary patches for tests
  * [61b7054] Install into /usr
  * [9a430fe] Add patch to fix prefix in Makefile.
  * [647cd1a] Fix and activate tests.
  * [65e0c54] Updating git info
  * [e54c89d] Updating symbols file.
  * [f0451ce] Add gitlab CI file.
  * [9a4a0f1] Disable tests which are broken on big endian.
  * [d58ddad] Disabling another test.

  [ Ludovico Cavedon ]
  * Change SONAME and lib package name to include minory library version.
  * Use libwireshark-dev to determine wireshak plugin path.
  * Add define-have-json-c.patch to ensure ndpiReader is compiled with JSON
    support.
  * Link ndpiReader dynamically against libndpi and avoid lnking against
    unnecessary C++ libraries.
  * Stop adding libcache.h to -dev package.
  * Add DEP3 header to patches/fix-makefile-prefix.
  * Check DEB_BUILD_OPTIONS before running tests.
  * Update Standards-Version to 4.3.0.
  * Update debian/copyright for new upstream code.

 -- Ludovico Cavedon <cavedon@debian.org>  Mon, 14 Jan 2019 11:17:02 -0800

=== debian/control ===
--- 
+++ 
@@ -3,23 +3,22 @@
 Priority: optional
 Maintainer: Ludovico Cavedon <cavedon@debian.org>
 Build-Depends:
-    autotools-dev,
-    debhelper (>= 9.20160114),
+    debhelper-compat (= 12),
     dh-exec (>=0.3),
     dpkg-dev (>= 1.16.1.1),
     libjson-c-dev,
     libpcap-dev,
+    libwireshark-dev,
     pkg-config,
-    xdelta,
-Standards-Version: 4.1.2
+Standards-Version: 4.4.0
 Homepage: http://www.ntop.org/products/ndpi/
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/ndpi.git
-Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/ndpi.git
+Vcs-Git: https://salsa.debian.org/debian/ndpi.git
+Vcs-Browser: https://salsa.debian.org/debian/ndpi
 
 Package: libndpi-dev
 Section: libdevel
 Architecture: any
-Depends: libndpi5 (= ${binary:Version}), ${misc:Depends}
+Depends: libndpi2.6 (= ${binary:Version}), ${misc:Depends}
 Description: extensible deep packet inspection library - development files
  nDPI is a ntop-maintained superset of the popular OpenDPI library. Released
  under the LGPL license, its goal is to extend the original library by adding
@@ -35,7 +34,7 @@
  .
  This package contains the static library and compilation headers.
 
-Package: libndpi5
+Package: libndpi2.6
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -94,4 +93,4 @@
  (e.g. detect http non ports other than 80), and also the opposite.
  .
  This package contains the wireshark dissector based on nDPI.  The dissector is
- installed in the plugin directory for wireshark version 2.4.3.
+ installed in the plugin directory for the current wireshark version.

## ndpi 3.0

=== debian/changelog ===
ndpi (3.0-1build1) groovy; urgency=medium

  * Rebuild against new libjson-c5.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 14 Aug 2020 11:34:16 +0200

ndpi (3.0-1) unstable; urgency=medium

  * New upstream version 3.0
  * Refresh patches
  * Remove patches merged upstream:
    - 662.patch
    - aea91781aa476589361e16ece6aa6c10102e0f33.patca
    - cross.patch
    - ndpireader-no-free.patch
    - packet-direction.patch
    - quic.patch
  * Rename package libndpi2.6 to libndpi3.0
  * Update symbols file for libndpi3.0
  * Update copyright
  * Remove unnecessary override_dh_install, export WIRESHARK_PLUGINDIR, and
    whitelist it in lintian.
  * Update Standards-Version to 4.4.1
  * Add all sources needed to build ndpiReader to libndpi-dev docs
  * Remove .txt files installed in /usr/sbin
  * Drop get-orig-source target from rules file
  * Bump build-dependency on libwireshark-dev >= 3.0 as required by the
    ndpi.lua plugin

 -- Ludovico Cavedon <cavedon@debian.org>  Tue, 24 Dec 2019 19:22:40 +0100

=== debian/control ===
--- 
+++ 
@@ -8,9 +8,9 @@
     dpkg-dev (>= 1.16.1.1),
     libjson-c-dev,
     libpcap-dev,
-    libwireshark-dev,
+    libwireshark-dev (>= 3.0~),
     pkg-config,
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Homepage: http://www.ntop.org/products/ndpi/
 Vcs-Git: https://salsa.debian.org/debian/ndpi.git
 Vcs-Browser: https://salsa.debian.org/debian/ndpi
@@ -18,7 +18,7 @@
 Package: libndpi-dev
 Section: libdevel
 Architecture: any
-Depends: libndpi2.6 (= ${binary:Version}), ${misc:Depends}
+Depends: libndpi3.0 (= ${binary:Version}), ${misc:Depends}
 Description: extensible deep packet inspection library - development files
  nDPI is a ntop-maintained superset of the popular OpenDPI library. Released
  under the LGPL license, its goal is to extend the original library by adding
@@ -34,7 +34,7 @@
  .
  This package contains the static library and compilation headers.
 
-Package: libndpi2.6
+Package: libndpi3.0
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
include /usr/share/dpkg/pkg-info.mk

# Used by debian/libndpi-wireshark.{install,links}. Evaluated when referenced.
WIRESHARK_PLUGINDIR = $(shell pkg-config --variable=plugindir wireshark)
export WIRESHARK_PLUGINDIR

%:
	dh $@

override_dh_auto_configure:
	./autogen.sh
	dh_auto_configure -- --prefix=/usr

override_dh_auto_install:
	dh_auto_install
	rm $(CURDIR)/debian/tmp/usr/sbin/ndpi/*.txt

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	# disable tests with a broken pcap file
	rm -f tests/pcap/nintendo.pcap
	rm -f tests/pcap/skype-conference-call.pcap
	# disable tests that have inconsistent behavior across architecture due
	# to broken sorting in the test code
	rm -f tests/pcap/skype.pcap
	rm -f tests/pcap/skype_no_unknown.pcap
	rm -f tests/pcap/1kxun.pcap
	cd tests && LD_LIBRARY_PATH=$(CURDIR)/src/lib ./do.sh
endif

override_dh_strip:
	dh_strip --dbgsym-migration='libndpi-dbg (<< 1.8-1~)'


.PHONY: override_dh_auto_configure override_dh_strip

## ndpi 3.4

=== packages/openwrt/Makefile ===
--- 
+++ 
@@ -1,22 +1,22 @@
 #
-# Copyright (C) 2018 - ntop.org
+# Copyright (C) 2018-20 - ntop.org
 #
 
 include $(TOPDIR)/rules.mk
 
 PKG_NAME:=libndpi
-PKG_VERSION:=1333.ab2f3ce
+PKG_VERSION:=17022020
 PKG_RELEASE:=1
 
 PKG_SOURCE:=$(PKG_NAME)-$(PKG_VERSION).tar.gz
 PKG_SOURCE_URL:=https://github.com/ntop/nDPI.git
-PKG_SOURCE_VERSION:=ab2f3cefc89017d73e67faa4eb4011e7e3f2044d
+PKG_SOURCE_VERSION:=1f921562d1d7962f1d23ca5b59c25f9b65073460
 PKG_SOURCE_SUBDIR:=$(PKG_NAME)-$(PKG_VERSION)
 PKG_SOURCE_PROTO:=git
 
-PKG_MAINTAINER:=Emanuele Faranda <faranda@ntop.org>
+PKG_MAINTAINER:=Luca Deri <deri@ntop.org>
 PKG_LICENSE:=GPL3
-PKG_BUILD_DEPENDS:=+libpcap
+PKG_BUILD_DEPENDS:=
 PKG_BUILD_PARALLEL:=1
 
 # autogen fix
@@ -27,7 +27,6 @@
 define Package/libndpi
   SECTION:=network
   CATEGORY:=Network
-  #DEPENDS:=+libc +libjson-c +libpthread 
   TITLE:=nDPI Deep Packet Inspection Library
   URL:=https://www.ntop.org
 endef
@@ -37,8 +36,7 @@
 endef
 
 CONFIGURE_ARGS += \
-        --with-pic \
-	--disable-json-c \
+	--with-only-libndpi
 
 define Build/Prepare
 	$(call Build/Prepare/Default)

=== debian/changelog ===
ndpi (3.4-2) unstable; urgency=medium

  [ Nicholas Brown ]
  * Add dependency to allow ndpi library users to build

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 18 Jan 2021 17:54:21 +0100

ndpi (3.4-1) unstable; urgency=medium

  [ Debian Janitor ]
  * debian/copyright: use spaces rather than tabs to start continuation lines.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Gianfranco Costamagna ]
  * New upstream version 3.4 (Closes: #972050)
    - CVE-2020-11939 CVE-2020-11940 CVE-2020-15471
    - CVE-2020-15472 CVE-2020-15473 CVE-2020-15474
    - CVE-2020-15475 CVE-2020-15476
  * Team upload (salsa.d.o namespace)
  * Add R^3: no
  * Add libgcrypt20-dev dependency, used for tests
  * Update copyright years
  * Bump std-version to 4.5.0, and compat level to 13
  * Drop old define-have-json-c.patch: not needed anymore
  * Rebase patches for new release (keeping one little library as static)
  * Drop dh_auto_install override: txt files are now correctly
    installed upstream

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 18 Dec 2020 10:50:44 +0100

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,16 @@
 Priority: optional
 Maintainer: Ludovico Cavedon <cavedon@debian.org>
 Build-Depends:
-    debhelper-compat (= 12),
+    debhelper-compat (= 13),
     dh-exec (>=0.3),
     dpkg-dev (>= 1.16.1.1),
+    libgcrypt20-dev,
     libjson-c-dev,
     libpcap-dev,
     libwireshark-dev (>= 3.0~),
     pkg-config,
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: http://www.ntop.org/products/ndpi/
 Vcs-Git: https://salsa.debian.org/debian/ndpi.git
 Vcs-Browser: https://salsa.debian.org/debian/ndpi
@@ -18,7 +20,8 @@
 Package: libndpi-dev
 Section: libdevel
 Architecture: any
-Depends: libndpi3.0 (= ${binary:Version}), ${misc:Depends}
+Depends: libndpi3.4 (= ${binary:Version}), ${misc:Depends},
+  libgcrypt20-dev
 Description: extensible deep packet inspection library - development files
  nDPI is a ntop-maintained superset of the popular OpenDPI library. Released
  under the LGPL license, its goal is to extend the original library by adding
@@ -34,7 +37,7 @@
  .
  This package contains the static library and compilation headers.
 
-Package: libndpi3.0
+Package: libndpi3.4
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}

=== debian/rules ===
--- 
+++ 
@@ -15,10 +15,6 @@
 override_dh_auto_configure:
 	./autogen.sh
 	dh_auto_configure -- --prefix=/usr
-
-override_dh_auto_install:
-	dh_auto_install
-	rm $(CURDIR)/debian/tmp/usr/sbin/ndpi/*.txt
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))

## ndpi 4.0

=== debian/changelog ===
ndpi (4.0-4) unstable; urgency=medium

  * Team upload
  * Drop old include-binaries useless file
  * Update std-version to 4.6.0
  * Drop old override_dh_strip, the dbgsym migration is now done
  * Drop two old copyright entries

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 25 Sep 2021 22:04:56 +0200

ndpi (4.0-3) unstable; urgency=medium

  * Team upload
  [ Bernhard Übelacker <bernhardu@mailbox.org> ]
  * debian/patches/fix-unaligned-memory-accesses-with-get_u_int64_t-at-
    armhf.patch
  * debian/patches/use-get_u_int64_t-to-avoid-unaligned-memory-access-at-
    armhf.patch:
    - fix two armhf unaligned accesses. (Closes: #993627)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 25 Sep 2021 21:57:52 +0200

ndpi (4.0-2) unstable; urgency=medium

  * Rebuild on official builders.
    - not asking for a binNMU because it requires an NMU on every architecture
      due to multi-arch, and better avoid useless mips rebuilds.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 03 Sep 2021 18:59:20 +0200

ndpi (4.0-1) unstable; urgency=medium

  * New upstream version 4.0
    - CVE-2021-36082 Closes: #990528
  * Refresh patches
  * bump somane from 3.4 to 4.0 and refresh symbols
  * update copyright file
  * add patch to force usage of system uthash

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 27 Aug 2021 14:04:41 +0200

ndpi (3.4-3) unstable; urgency=high

  * Team upload.
  * Fix i386 build by changing the precision of the calculations.
    Thanks to Adrian Bunk <bunk@debian.org> (Closes: #981771)

 -- Raphaël Hertzog <raphael@offensive-security.com>  Tue, 09 Feb 2021 12:14:08 +0100

=== debian/control ===
--- 
+++ 
@@ -9,9 +9,10 @@
     libgcrypt20-dev,
     libjson-c-dev,
     libpcap-dev,
+    uthash-dev,
     libwireshark-dev (>= 3.0~),
     pkg-config,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: http://www.ntop.org/products/ndpi/
 Vcs-Git: https://salsa.debian.org/debian/ndpi.git
@@ -20,7 +21,7 @@
 Package: libndpi-dev
 Section: libdevel
 Architecture: any
-Depends: libndpi3.4 (= ${binary:Version}), ${misc:Depends},
+Depends: libndpi4.0 (= ${binary:Version}), ${misc:Depends},
   libgcrypt20-dev
 Description: extensible deep packet inspection library - development files
  nDPI is a ntop-maintained superset of the popular OpenDPI library. Released
@@ -37,7 +38,7 @@
  .
  This package contains the static library and compilation headers.
 
-Package: libndpi3.4
+Package: libndpi4.0
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}

=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,12 @@
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
 include /usr/share/dpkg/pkg-info.mk
+
+# Avoid calculatin differences in timing that make the build
+# fail on i386 (see https://bugs.debian.org/981771)
+ifneq (,$(filter $(DEB_HOST_ARCH), i386))
+    export DEB_CFLAGS_MAINT_APPEND += -ffloat-store
+endif
 
 # Used by debian/libndpi-wireshark.{install,links}. Evaluated when referenced.
 WIRESHARK_PLUGINDIR = $(shell pkg-config --variable=plugindir wireshark)
@@ -29,8 +35,4 @@
 	cd tests && LD_LIBRARY_PATH=$(CURDIR)/src/lib ./do.sh
 endif
 
-override_dh_strip:
-	dh_strip --dbgsym-migration='libndpi-dbg (<< 1.8-1~)'
-
-
-.PHONY: override_dh_auto_configure override_dh_strip
+.PHONY: override_dh_auto_configure
